Bug 2077950 - NetworkManager manages devices that it shouldn't
Summary: NetworkManager manages devices that it shouldn't
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: NetworkManager
Version: 8.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Matej Berezny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-22 16:27 UTC by Jaime Caamaño Ruiz
Modified: 2022-11-08 11:22 UTC (History)
9 users (show)

Fixed In Version: NetworkManager-1.39.11-1.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-08 10:10:31 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
journal with NM debug logs (5.68 MB, text/plain)
2022-04-22 16:27 UTC, Jaime Caamaño Ruiz
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-119717 0 None None None 2022-04-22 16:32:33 UTC
Red Hat Product Errata RHBA-2022:7680 0 None None None 2022-11-08 10:10:55 UTC
freedesktop.org Gitlab NetworkManager NetworkManager-ci merge_requests 1130 0 None opened ovs: added ovs_external_unmanaged_device test 2022-08-08 07:47:20 UTC
freedesktop.org Gitlab NetworkManager NetworkManager merge_requests 1302 0 None opened ovs: fail device only when it's activating 2022-07-18 08:06:51 UTC

Description Jaime Caamaño Ruiz 2022-04-22 16:27:19 UTC
Created attachment 1874463 [details]
journal with NM debug logs

In openshift we are attempting to configure some devices as unmanaged but this is not working as expected on all occasions.


We have this config /etc/NetwokrManager/conf.d/sdn.conf:

sh-4.4# sudo cat /etc/NetworkManager/conf.d/sdn.conf 
# ignore known SDN-managed devices
[device]
match-device=interface-name:br-int;interface-name:br-local;interface-name:br-nexthop;interface-name:ovn-k8s-*;interface-name:k8s-*;interface-name:tun0;interface-name:br0;interface-name:patch-br-*;interface-name:br-ext;interface-name:ext-vxlan;interface-name:ext;interface-name:int;interface-name:vxlan_sys_*;interface-name:genev_sys_*;driver:veth
managed=0


On an initial boot, it seems to work as expected:

sh-4.4# nmcli -g all d
br-ex:ovs-interface:connected:full:full:/org/freedesktop/NetworkManager/Devices/18:ovs-if-br-ex:7ab609e4-eb9b-46f7-a2f8-6a570b992de5:/org/freedesktop/NetworkManager/ActiveConnection/5
ens4:ethernet:connected:limited:limited:/org/freedesktop/NetworkManager/Devices/15:ovs-if-phys0:4641028a-1efc-416c-9801-b036f6a196df:/org/freedesktop/NetworkManager/ActiveConnection/6
br-ex:ovs-bridge:connected:limited:limited:/org/freedesktop/NetworkManager/Devices/20:br-ex:d4d553ed-ead5-4034-9c3c-5af5c53cf4aa:/org/freedesktop/NetworkManager/ActiveConnection/3
br-ex:ovs-port:connected:limited:limited:/org/freedesktop/NetworkManager/Devices/19:ovs-port-br-ex:4289a989-861b-4f14-9954-f6e3941731cf:/org/freedesktop/NetworkManager/ActiveConnection/2
ens4:ovs-port:connected:limited:limited:/org/freedesktop/NetworkManager/Devices/21:ovs-port-phys0:e990ce9c-f2df-4fc8-aaed-a76475ff736d:/org/freedesktop/NetworkManager/ActiveConnection/4
232ea1679769280:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/4:::
2467fac9188d6df:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/5:::
399ebf162ecd21c:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/6:::
48e73b7414a6c21:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/7:::
4c26c0e65cf306d:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/8:::
5d7ae0f9ba6a22f:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/9:::
64c5cae63246349:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/10:::
877e99a13d8fee4:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/11:::
8a81baeeaa98982:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/12:::
b5411bf23e4c3ae:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/13:::
c701532ebdbff4c:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/14:::
f314ce2f8c10913:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/16:::
genev_sys_6081:geneve:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/17:::
lo:loopback:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/1:::
br-int:ovs-bridge:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/45:::
br-int:ovs-interface:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/2:::
ovn-k8s-mp0:ovs-interface:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/3:::
patch-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj-to-br-int:ovs-interface:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/22:::
patch-br-int-to-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj:ovs-interface:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/23:::
232ea1679769280:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/32:::
2467fac9188d6df:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/37:::
399ebf162ecd21c:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/26:::
48e73b7414a6c21:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/27:::
4c26c0e65cf306d:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/38:::
5d7ae0f9ba6a22f:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/41:::
64c5cae63246349:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/25:::
877e99a13d8fee4:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/33:::
8a81baeeaa98982:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/34:::
b5411bf23e4c3ae:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/30:::
br-int:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/39:::
c701532ebdbff4c:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/44:::
f314ce2f8c10913:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/24:::
ovn-071b3c-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/31:::
ovn-0967b3-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/35:::
ovn-929ea8-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/29:::
ovn-ab464d-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/28:::
ovn-bd1e10-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/43:::
ovn-k8s-mp0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/42:::
patch-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj-to-br-int:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/36:::
patch-br-int-to-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/40:::


But after a reboot:

br-ex:ovs-interface:connected:full:full:/org/freedesktop/NetworkManager/Devices/2:ovs-if-br-ex:5eff1b44-2fb5-4e16-824e-99b1f75cb3f4:/org/freedesktop/NetworkManager/ActiveConnection/5
ens4:ethernet:connected:limited:limited:/org/freedesktop/NetworkManager/Devices/5:ovs-if-phys0:619b1250-87d7-445a-9ad5-0820ca31e08d:/org/freedesktop/NetworkManager/ActiveConnection/6
br-ex:ovs-bridge:connected:limited:limited:/org/freedesktop/NetworkManager/Devices/7:br-ex:76679e56-d953-4df2-b778-1a10a9e74d31:/org/freedesktop/NetworkManager/ActiveConnection/2
br-ex:ovs-port:connected:limited:limited:/org/freedesktop/NetworkManager/Devices/9:ovs-port-br-ex:d7e4d1d6-066a-4fe5-9eee-0e4f4db3625e:/org/freedesktop/NetworkManager/ActiveConnection/4
ens4:ovs-port:connected:limited:limited:/org/freedesktop/NetworkManager/Devices/8:ovs-port-phys0:94c069a6-db5a-4306-944f-e7cb7be55bc9:/org/freedesktop/NetworkManager/ActiveConnection/3
patch-br-int-to-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj:ovs-interface:connected:limited:limited:/org/freedesktop/NetworkManager/Devices/10:::
2caad771288f769:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/34:::
392dd7ef657e78d:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/38:::
3cd21b2ec2395ab:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/28:::
5859b9aaf5cb84a:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/23:::
9296ad0f8dca8c5:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/22:::
96dc3096feb89be:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/40:::
9ff8bce336deefa:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/32:::
a1472a96fa0cec1:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/26:::
ac6784382faad19:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/36:::
b53a6e8c5149862:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/41:::
d963c71320332c1:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/44:::
fe415a0d79f8d53:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/30:::
genev_sys_6081:geneve:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/6:::
lo:loopback:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/1:::
br-int:ovs-bridge:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/19:::
br-int:ovs-interface:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/3:::
ovn-k8s-mp0:ovs-interface:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/4:::
patch-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj-to-br-int:ovs-interface:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/20:::
2caad771288f769:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/35:::
392dd7ef657e78d:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/39:::
3cd21b2ec2395ab:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/27:::
5859b9aaf5cb84a:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/25:::
9296ad0f8dca8c5:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/24:::
96dc3096feb89be:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/42:::
9ff8bce336deefa:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/33:::
a1472a96fa0cec1:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/29:::
ac6784382faad19:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/37:::
b53a6e8c5149862:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/43:::
br-int:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/11:::
d963c71320332c1:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/45:::
fe415a0d79f8d53:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/31:::
ovn-071b3c-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/14:::
ovn-0967b3-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/16:::
ovn-929ea8-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/12:::
ovn-ab464d-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/13:::
ovn-bd1e10-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/17:::
ovn-k8s-mp0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/18:::
patch-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj-to-br-int:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/21:::
patch-br-int-to-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/15:::


patch-br-int-to-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj is managed when it shouldn't as per the configuration above.


If we then restart NetworkManager:

sh-4.4# systemctl restart NetworkManager
sh-4.4# nmcli -g all d
br-ex:ovs-interface:connected:full:full:/org/freedesktop/NetworkManager/Devices/18:ovs-if-br-ex:5eff1b44-2fb5-4e16-824e-99b1f75cb3f4:/org/freedesktop/NetworkManager/ActiveConnection/5
ens4:ethernet:connected:limited:limited:/org/freedesktop/NetworkManager/Devices/15:ovs-if-phys0:619b1250-87d7-445a-9ad5-0820ca31e08d:/org/freedesktop/NetworkManager/ActiveConnection/6
br-ex:ovs-bridge:connected:limited:limited:/org/freedesktop/NetworkManager/Devices/19:br-ex:76679e56-d953-4df2-b778-1a10a9e74d31:/org/freedesktop/NetworkManager/ActiveConnection/2
br-ex:ovs-port:connected:limited:limited:/org/freedesktop/NetworkManager/Devices/21:ovs-port-br-ex:d7e4d1d6-066a-4fe5-9eee-0e4f4db3625e:/org/freedesktop/NetworkManager/ActiveConnection/4
ens4:ovs-port:connected:limited:limited:/org/freedesktop/NetworkManager/Devices/20:ovs-port-phys0:94c069a6-db5a-4306-944f-e7cb7be55bc9:/org/freedesktop/NetworkManager/ActiveConnection/3
2caad771288f769:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/4:::
392dd7ef657e78d:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/5:::
3cd21b2ec2395ab:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/6:::
5859b9aaf5cb84a:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/7:::
9296ad0f8dca8c5:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/8:::
96dc3096feb89be:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/9:::
9ff8bce336deefa:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/10:::
a1472a96fa0cec1:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/11:::
ac6784382faad19:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/12:::
b53a6e8c5149862:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/13:::
d963c71320332c1:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/14:::
fe415a0d79f8d53:ethernet:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/16:::
genev_sys_6081:geneve:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/17:::
lo:loopback:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/1:::
br-int:ovs-bridge:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/45:::
br-int:ovs-interface:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/2:::
ovn-k8s-mp0:ovs-interface:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/3:::
patch-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj-to-br-int:ovs-interface:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/22:::
patch-br-int-to-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj:ovs-interface:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/23:::
2caad771288f769:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/37:::
392dd7ef657e78d:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/41:::
3cd21b2ec2395ab:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/43:::
5859b9aaf5cb84a:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/34:::
9296ad0f8dca8c5:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/32:::
96dc3096feb89be:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/27:::
9ff8bce336deefa:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/36:::
a1472a96fa0cec1:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/31:::
ac6784382faad19:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/38:::
b53a6e8c5149862:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/35:::
br-int:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/33:::
d963c71320332c1:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/44:::
fe415a0d79f8d53:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/29:::
ovn-071b3c-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/28:::
ovn-0967b3-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/30:::
ovn-929ea8-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/26:::
ovn-ab464d-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/25:::
ovn-bd1e10-0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/42:::
ovn-k8s-mp0:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/40:::
patch-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj-to-br-int:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/24:::
patch-br-int-to-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj:ovs-port:unmanaged:unknown:unknown:/org/freedesktop/NetworkManager/Devices/39:::


That interface is not longer managed, as expected.

more context: https://github.com/openshift/machine-config-operator/pull/3059

Comment 1 Beniamino Galvani 2022-04-26 08:11:56 UTC
> patch-br-int-to-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj is managed when it shouldn't as per the configuration above.

I see, that's a bug.

Note that NM considers the device as "external" and so even it is marked as "activated", NM doesn't actually touch it:

  <info>  [1650644081.2483] device (patch-br-int-to-br-ex_ci-ln-vxc1wlb-72292-b2d6j-worker-a-r4gnj): state change: unmanaged -> activated (reason 'connection-assumed', sys-iface-state: 'external')

In other words, apart from the wrong state displayed ("activated" instead of "unmanaged"), NM is not actively managing the interface. Anyway, the wrong state is a bug that must be fixed.

Comment 2 Beniamino Galvani 2022-07-18 08:18:31 UTC
To reproduce, I did:

  cat <<'EOF' > /etc/NetworkManager/conf.d/01-ovs-int0-unmanaged.conf
  [device-unmanaged]
  match-device=interface-name:ovs-int0
  managed=no
  EOF
  systemctl restart NetworkManager
  ovs-vsctl add-br ovs-br0
  ovs-vsctl add-port ovs-br0 ovs-int0 -- set interface ovs-int0 type=patch -- set interface ovs-int0 options:peer=ovs-br0

and saw in logs:

  <info>  [1658131864.0397] ovs: ovs interface "ovs-int0" ((null)) failed: No usable peer 'ovs-br0' exists in 'system' datapath.
  <info>  [1658131864.0398] device (ovs-int0): state change: unmanaged -> activated (reason 'connection-assumed', sys-iface-state: 'external')

Note the ovs-interface transitioning from "unmanaged" to
"activated". There are also some assertion failures a bit later:

  <info>  [1658131864.0404] device (ovs-int0): Activation: successful, device activated.
  _connection_get_setting_by_meta_type_check: assertion 'NM_IS_CONNECTION(connection)' failed
  _connection_get_setting_by_meta_type_check: assertion 'NM_IS_CONNECTION(connection)' failed
  _connection_get_setting_by_meta_type_check: assertion 'NM_IS_CONNECTION(connection)' failed

With the patch applied, the device stays in state unmanaged and the
assertions failures are gone.

Comment 6 errata-xmlrpc 2022-11-08 10:10:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (NetworkManager bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:7680


Note You need to log in before you can comment on or make changes to this bug.